<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <!-- =============================================================================================================== -->
  <!--                                               PROJECT INFORMATION                                               -->
  <!-- =============================================================================================================== -->

  <!-- ============================================= PARENT INFORMATION ============================================== -->
  <parent>
    <artifactId>libraryservice</artifactId>
    <groupId>org.openclassroom.projet</groupId>
    <version>2.0.0</version>
  </parent>

  <!-- ============================================== MAVEN INFORMATION ============================================== -->
  <artifactId>libraryservice-aggregator</artifactId>
  <version>1.0.0</version>
  <packaging>jar</packaging>

  <!-- ============================================= GENERAL INFORMATION ============================================= -->
  <name>libraryservice-aggregator</name>
  <description>Compute aggregated test code coverage</description>


  <!-- =============================================================================================================== -->
  <!--                                                   PROPERTIES                                                    -->
  <!-- =============================================================================================================== -->
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <maven.deploy.skip>true</maven.deploy.skip>
  </properties>


  <!-- =============================================================================================================== -->
  <!--                                                  DEPENDENCIES                                                   -->
  <!-- =============================================================================================================== -->
  <dependencies>
    <!-- ============================================ Modules ====================================================== -->
    <dependency>
      <groupId>org.openclassroom.projet</groupId>
      <artifactId>libraryservice-batch</artifactId>
    </dependency>

    <dependency>
      <groupId>org.openclassroom.projet</groupId>
      <artifactId>libraryservice-business</artifactId>
    </dependency>

    <dependency>
      <groupId>org.openclassroom.projet</groupId>
      <artifactId>libraryservice-consumer</artifactId>
    </dependency>

    <dependency>
      <groupId>org.openclassroom.projet</groupId>
      <artifactId>libraryservice-model</artifactId>
    </dependency>

    <dependency>
      <groupId>org.openclassroom.projet</groupId>
      <artifactId>libraryservice-technical</artifactId>
    </dependency>

    <dependency>
      <groupId>org.openclassroom.projet</groupId>
      <artifactId>libraryservice-webservice</artifactId>
      <version>${webservice.version}</version>
      <type>war</type>
    </dependency>
  </dependencies>


  <!-- =============================================================================================================== -->
  <!--                                                 BUILD & PLUGINS                                                 -->
  <!-- =============================================================================================================== -->
  <build>
    <plugins>
      <plugin>
        <groupId>org.jacoco</groupId>
        <artifactId>jacoco-maven-plugin</artifactId>
        <executions>
          <execution>
            <id>report-aggregate</id>
            <phase>verify</phase>
            <goals>
              <goal>report-aggregate</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
